Update the existing configuration
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/workday/configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownershipReportUrl": "<string>",
"password": "<string>",
"username": "<string>",
"reportMappingV2": {
"email": {
"columnName": "<string>"
},
"employeeId": {
"columnName": "<string>"
},
"rootTeams": [
{
"id": "<string>"
}
],
"type": "<string>",
"teamId": {
"columnName": "<string>"
}
}
}
'import requests
url = "https://api.getcortexapp.com/api/v1/workday/configuration"
payload = {
"ownershipReportUrl": "<string>",
"password": "<string>",
"username": "<string>",
"reportMappingV2": {
"email": { "columnName": "<string>" },
"employeeId": { "columnName": "<string>" },
"rootTeams": [{ "id": "<string>" }],
"type": "<string>",
"teamId": { "columnName": "<string>" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ownershipReportUrl: '<string>',
password: '<string>',
username: '<string>',
reportMappingV2: {
email: {columnName: '<string>'},
employeeId: {columnName: '<string>'},
rootTeams: [{id: '<string>'}],
type: '<string>',
teamId: {columnName: '<string>'}
}
})
};
fetch('https://api.getcortexapp.com/api/v1/workday/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configurations": [
{
"lastFour": "<string>",
"ownershipReportUrl": "<string>",
"username": "<string>",
"reportMappingV2": {
"email": {
"columnName": "<string>"
},
"employeeId": {
"columnName": "<string>"
},
"rootTeams": [
{
"id": "<string>"
}
],
"type": "<string>",
"teamId": {
"columnName": "<string>"
},
"employeeRole": {
"columnName": "<string>"
},
"firstName": {
"columnName": "<string>"
},
"lastName": {
"columnName": "<string>"
},
"managerEmail": {
"columnName": "<string>"
},
"hierarchy": {
"fieldOnChildNode": {
"columnName": "<string>"
},
"fieldOnParentNode": {
"columnName": "<string>",
"isList": true
}
},
"teamName": {
"columnName": "<string>"
}
}
}
]
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update the existing configuration
PUT
/
api
/
v1
/
workday
/
configuration
Update the existing configuration
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
application/json
Response
Successfully updates configuration
Show child attributes
Show child attributes
Last modified on September 29, 2026